[zookeeper]
hosts=zookeeper.zuul-ci.svc.cluster.local:2281
tls_cert=/tls/client/tls.crt
tls_key=/tls/client/tls.key
tls_ca=/tls/client/ca.crt
session_timeout=40

[scheduler]
tenant_config=/etc/zuul-config/zuul/main.yaml
state_dir=/var/lib/zuul
relative_priority=true
prometheus_port=9091

[web]
listen_address=0.0.0.0
port=9000
status_url=https://zuul.scs.otc-service.com
root=https://zuul.scs.otc-service.com
prometheus_port=9091

[fingergw]
port=9079
user=zuul

[keystore]
{{- with secret "secret/zuul/keystore_password" }}
password={{ .Data.data.password }}
{{- end }}

[merger]
git_dir=/var/lib/zuul/git
git_timeout=600
git_user_email=zuul@zuul.otc-service.com
git_user_name=OpenTelekomCloud Zuul
prometheus_port=9091

[executor]
manage_ansible=true
ansible_root=/var/lib/zuul/managed_ansible
private_key_file=/etc/zuul/sshkey
disk_limit_per_job=2000
max_starting_builds=5
trusted_ro_paths=/var/run/zuul/trusted-ro
variables=/var/run/zuul/vars/site-vars.yaml
prometheus_port=9091

[database]
{{- with secret "database/static-creds/zuul-static" }}
dburi=postgresql://{{ .Data.username }}:{{ .Data.password }}@192.168.21.246:5432/zuul?sslmode=require
{{- end }}

[connection "opendev"]
name=opendev
driver=git
baseurl=https://opendev.org

[connection "gitea"]
name=gitea
driver=gitea
baseurl=https://gitea.eco.tsi-dev.otc-service.com
server=gitea.eco.tsi-dev.otc-service.com
cloneurl=ssh://git@gitea.eco.tsi-dev.otc-service.com:2222
{{- with secret "secret/zuul/connections/gitea" }}
api_token={{ .Data.data.api_token }}
webhook_secret={{ .Data.data.webhook_secret }}
{{- end }}
sshkey=/etc/zuul/connections/gitea.key

[auth "keycloak"]
default=True
driver=OpenIDConnect
realm=eco
issuer_id=https://keycloak.eco.tsi-dev.otc-service.com/realms/eco
client_id=zuul
